#include<stdio.h>
#include<math.h>
main()
{
	int N,x,y,i,xi=0,yi=0,n;
	scanf("%d",&N);
	for(i=0;i<n;i++)
	{
		scanf("%d%d",&x,&y);
		xi+=abs(x);
		yi+=abs(y);
	}
	if(xi*2==yi)
	{
		printf("\n%d",yi%xi);
	}
	if(yi*2==xi)
	{
		printf("\n%d",xi%yi);
	}
}